Забыли пароль?
Запросите новый здесь.

Автор темы: Katya
ID темы: 2974
Информация:
Тема содержит 12 сообщения, была просмотрена 2021 раз.  Имеются прикрепленные файлы.
Просмотр темы
 Распечатать тему
Проблема при установке
Katya
Помогите пожалуйста, возникла такая проблема при установке, при переходе на шаг 4 ничего нет и нельзя дальше продолжить установку.
Katya присоединено следующее:изображение:
1524597961.jpg
 
jikaka
попробуй на инглише поставить
язык потом сменишь после установки
 
Web
Polarfox
может проблема в версии пхп, слишком новая?
+ желательно тестово включить вывод ошибок.
Всегда делайте backup перед изменениями | Указывайте свою версию в подписи/профиле.
Ежели кто забанен за спам, но не считает себя ботом: можете сообщить мне об этом, все будет хорошо.

PolarLab - вход для подопытных
 
Web
Vveb--ws
у меня такого никогда не было. хз.
 
Web
Katya
Пыталась установить на debian 9, возникала эта ошибка. Установила на debian 7, где установлены старые версии apache2, php и mysql, всё установилось без проблем.
 
Polarfox
Мб все же стоило сравнить пхп версии?
Тут была темка про перевод на мускли, как вариант.
Всегда делайте backup перед изменениями | Указывайте свою версию в подписи/профиле.
Ежели кто забанен за спам, но не считает себя ботом: можете сообщить мне об этом, все будет хорошо.

PolarLab - вход для подопытных
 
Web
Dave
Да, правильно, версии другие пошли. Если о Линуксах Минт, то после 17.3 уже ПХП 7. Но можно поставить и 5, подключив репозитарий от Ondre, инструкции есть в сети. Небольшой гимор, но все работает. С возможностью переключения версий (через терминал). Хочешь 7, а хочешь 5.
Если перебрал - задрай переборки.
 
hungel
Сделал сборку fusion 7 с поддержкой PHP 7 и MySqli. Должна без проблем работать и на php 5, но не тестировал. На php 7 установилась, ошибок не выдала. В комплекте еще файлик setup_innodb.php если хотите чтобы использовался двиг InnoDB соответственно устанавливайте с помощью этого файла. Изменений в самом fusion никаких, весь функционал какой был такой и остался, просто скачал последнюю версию CMS и внес изменения в 3 файла (maincore.php, setup.php, footer.php).

Хотел выложить целиком, но на форуме ограничение 500кб.

Выкладываю архив только с измененными файлами.
hungel присоединено следующее:файл:
fusion_7_02_07_php7_2.zip [38.99кБ / 87 Загрузки]

Изменил(а) hungel, 02.05.2018 13:31
x1 x1
 
jikaka
hungel, неплохо было бы уточнить, какие именно изменения были внесены
 
Web
hungel
По сути отредактированы все функции работающие с БД и одна добавлена. Эти функции дублируются в setup и maincore, а в footer.php закрывается соединение. Все остальное без изменений.
 
Alex
а уже работающий сайт можно перевести на пхп7 или надо с нуля ставить двиг?
 
Web
hungel
Конечно можно. Смысл в том что из php5 убрали старые функции для подключения и работы с SQL, а вот новые функции в php5 были и есть. Соответственно если эти функции заменить, работать будет на и PHP5 и на PHP7. С самой базой при этом делать ничего не нужно.

На самом деле в архиве который я выкладывал, не хватает еще одного файла, только сейчас точно не помню какого. Где то в папке include есть файл который использует функцию mysql_insert_id(); Нужно ее исправить на mysqli_insert_id($db_connect);
 

Поделиться этой темой
Социальные закладки: Vkontakte Odnoklassniki Mail.ru Facebook Google Tweet This
URL:
BBcode:
HTML:

Перейти на форум:
Похожие темы
Топ 5 пользователей форума
Alex Alex (1,198)   Zaxap Zaxap (1,078)   Vova Vova (877)   Pisatel Pisatel (678)   util util (666)